
QGIS Application - Bug report #20763

Crash when in DB Manager, trying to browse a PostgreSQL DB

2018-12-10 12:28 PM - Frode Wiseth Jørgensen

Status: Closed

Priority: High

Assignee:

Category: DB Manager

Affected QGIS version:3.4.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 28583

Description

User Feedback

Crash when in DB Manager, trying to browse a PostgreSQL DB

Report Details

Crash ID: e61981e0d953eba111ea0db98b5ac3c95a10dca1

Stack Trace

QgsBrowserModel::flags :

QSortFilterProxyModel::flags :

QModelIndex::flags :

QTreeViewPrivate::isIndexExpanded :

QgsBrowserTreeView::hasExpandedDescendant :

QgsBrowserDockWidget::refreshModel :

QgsBrowserDockWidget::refreshModel :

QgsBrowserDockWidget::refreshModel :

QgsBrowserDockWidget::refresh :

QMetaObject::activate :

QgisInterface::qt_static_metacall :

QMetaObject::activate :

QAbstractItemModel::dataChanged :

PyInit_QtCore :

PyMethodDef_RawFastCallKeywords :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyEval_EvalCodeWithName :

PyMethodDef_RawFastCallKeywords :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyMethodDef_RawFastCallDict :

PyObject_Call :

PyInit_sip :

QTreeViewPrivate::layout :

QTreeViewPrivate::expand :

QTreeViewPrivate::expandOrCollapseItemAtPos :

QTreeView::mousePressEvent :

QWidget::event :

QFrame::event :

QAbstractItemView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :
QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.2-Madeira

QGIS code revision: commit:22034aa070

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.3.2

Running against GDAL: 2.3.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-12-10 01:08 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from Normal to High

- Crashes QGIS or corrupts data changed from No to Yes

Any db on any server? I cannot replicate here on both Linux and Windows.

#2 - 2018-12-10 03:49 PM - Frode Wiseth Jørgensen

Local Postgre v9.6 on Windows 10.

Seems like it only crashes when I have a WMTS layer in addition to a shapefile layer in the TOC. If only the shapefile layer is present it works

#3 - 2018-12-11 11:50 AM - Giovanni Manghi

Frode Wiseth Jørgensen wrote:

Local Postgre v9.6 on Windows 10.

Seems like it only crashes when I have a WMTS layer in addition to a shapefile layer in the TOC. If only the shapefile layer is present it works
so to e clear:

1) you create a project and add a WMTS layer and a shapefile

2) then you open the DB Manager and try to browse a connection, at this point QGIS crashes

but if you only add the shapefile in (1) then it does not crash?

#4 - 2018-12-11 01:48 PM - Frode Wiseth Jørgensen

Correct

#5 - 2018-12-11 02:37 PM - Giovanni Manghi

Frode Wiseth Jørgensen wrote:

Correct

provide the wmts url and the shapefile (even better a project with the necessary data), thanks.

#6 - 2018-12-11 02:37 PM - Giovanni Manghi

Frode Wiseth Jørgensen wrote:

Correct

also try on a new/clean profile.

#7 - 2018-12-13 07:17 AM - Frode Wiseth Jørgensen

- File example_bug_report_20763.7z added

Example shape file and a project with a wmts layer

#8 - 2018-12-13 08:04 PM - Giovanni Manghi

I cannot really replicate in any way, on both Linux or Windows.

Please try using a new/clean profile (no 3rd party plugins installed).

#9 - 2019-01-09 08:35 AM - Frode Wiseth Jørgensen

Thanks for the effort, new/clean profile fixed it.

Please close this one.
#10 - 2019-01-09 10:54 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

Files

example_bug_report_20763.7z 116 KB 2018-12-13 Frode Wiseth Jørgensen
